# Export users Export users who match the provided parameters. Endpoint: GET /v3/user-export Version: 2026-01-08 Security: ZephrHmacHttp ## Query parameters: - `attributes` (boolean, required) Whether or not to include core attributes. Example: "true" - `appIds` (string, required) Comma-delimited list of appIds to retrieve extended profile data for. If appIds is present and attributes isn't, only users with matching extended profiles will be returned. Example: "quiz1,survey4" - `appIdsRestrictive` (boolean) Only include users with a matching extended profile Example: "true" - `grants` (boolean) Include information about entitlements Example: "true" - `since` (string) Users who were updated after the specified date Example: "2020-01-01T00:00:00Z" - `registeredSince` (string) Users who have registered after the specified date Example: "2020-01-01T00:00:00Z" - `registeredBefore` (string) Users who have registered before the specified date Example: "2020-01-01T00:00:00Z" - `rpp` (number) Results per page Example: 40 - `page` (number) The requested page of results Example: 1 ## Response 200 fields (application/json): - `results` (array) - `results.seq-no` (number) Example: 1 - `results.user` (object, required) - `results.user.identifiers` (object, required) - `results.user.identifiers.email_address` (string) Example: "joe.blow@company.com" - `results.user.attributes` (object) - `results.user.attributes.first_name` (string) Example: "Joe" - `results.user.attributes.surname` (string) Example: "Blow" - `results.grants` (object) - `meta` (object) - `meta.count` (number) Example: 100 - `meta.rpp` (number) Example: 20 - `meta.paginated` (boolean) Example: true - `links` (object) - `links.first` (object) - `links.first.url` (string) The link's url Example: "https://example.com?rpp=10" - `links.first.page` (number) The page number the link is pointing to Example: 1 - `links.last` (object) - `links.previous` (object) - `links.next` (object)